Bug 693820 - Review Request: gallery3 - Customizable photo gallery web site
Summary: Review Request: gallery3 - Customizable photo gallery web site
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 693761
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-05 16:24 UTC by Gwyn Ciesla
Modified: 2012-09-12 13:57 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-12 13:57:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Gwyn Ciesla 2011-04-05 16:24:30 UTC
Gallery is an open source project with the goal to develop and support 
leading photo sharing web application solutions. 


SPEC: http://zanoni.jcomserv.net/fedora/gallery3/gallery3.spec
SRPM: http://zanoni.jcomserv.net/fedora/gallery3/gallery3-3.0.1-1.fc14.src.rpm

Needs php-kohana: https://bugzilla.redhat.com/show_bug.cgi?id=693761

Comment 1 Matthias Runge 2011-09-20 20:03:37 UTC
I'll do a review tomorrow

Comment 2 Matthias Runge 2011-09-23 19:29:03 UTC
Ugh, there are some rpmlint warnings and one error.

Please fix that error. Wouldn't it be possible to include those php-files via include? Using links, this somehow uses files of another package (I know, this is marked as dependency...)



[mrunge@sofja SPECS]$ rpmlint -i /home/mrunge/rpmbuild/SRPMS/gallery3-3.0.1-1.fc16.src.rpm /home/mrunge/rpmbuild/RPMS/noarch/gallery3-3.0.1-1.fc16.noarch.rpm
gallery3.src: W: spelling-error Summary(en_US) Customizable -> Customization
The value of this tag appears to be misspelled. Please double-check.

gallery3.noarch: W: spelling-error Summary(en_US) Customizable -> Customization
The value of this tag appears to be misspelled. Please double-check.

gallery3.noarch: W: dangling-symlink /usr/share/gallery3/system/core/Kohana_Exception.php /usr/share/php/Kohana/system/core/Kohana_Exception.php
The target of the symbolic link does not exist within this package or its file
based dependencies.  Verify spelling of the link target and that the target is
included in a package in this package's dependency chain.

gallery3.noarch: W: dangling-symlink /usr/share/gallery3/system/core/Kohana.php /usr/share/php/Kohana/system/core/Kohana.php
The target of the symbolic link does not exist within this package or its file
based dependencies.  Verify spelling of the link target and that the target is
included in a package in this package's dependency chain.

gallery3.noarch: E: htaccess-file /usr/share/gallery3/.htaccess
You have individual apache configuration .htaccess file(s) in your package.
Replace them by a central configuration file in /etc/, according to the web
application packaging policy for your distribution.

gallery3.noarch: W: dangling-symlink /usr/share/gallery3/system/libraries/Kohana_404_Exception.php /usr/share/php/Kohana/system/libraries/Kohana_404_Exception.php
The target of the symbolic link does not exist within this package or its file
based dependencies.  Verify spelling of the link target and that the target is
included in a package in this package's dependency chain.

gallery3.noarch: W: dangling-symlink /usr/share/gallery3/system/core/Kohana_Config.php /usr/share/php/Kohana/system/core/Kohana_Config.php
The target of the symbolic link does not exist within this package or its file
based dependencies.  Verify spelling of the link target and that the target is
included in a package in this package's dependency chain.

gallery3.noarch: W: dangling-symlink /usr/share/gallery3/system/libraries/Kohana_PHP_Exception.php /usr/share/php/Kohana/system/libraries/Kohana_PHP_Exception.php
The target of the symbolic link does not exist within this package or its file
based dependencies.  Verify spelling of the link target and that the target is
included in a package in this package's dependency chain.

gallery3.noarch: W: dangling-symlink /usr/share/gallery3/system/libraries/Kohana_User_Exception.php /usr/share/php/Kohana/system/libraries/Kohana_User_Exception.php
The target of the symbolic link does not exist within this package or its file
based dependencies.  Verify spelling of the link target and that the target is
included in a package in this package's dependency chain.

gallery3.noarch: W: dangling-symlink /usr/share/gallery3/system/libraries/Kohana_Log.php /usr/share/php/Kohana/system/libraries/Kohana_Log.php
The target of the symbolic link does not exist within this package or its file
based dependencies.  Verify spelling of the link target and that the target is
included in a package in this package's dependency chain.

Comment 3 Gwyn Ciesla 2011-09-25 21:09:19 UTC
Updated to latest upstream, fixed htaccess warning.

The symlinks are because gallery3 uses php-Kohana, which it bundles, which is not allowed by the Fedora Packaging Guidelines.  The package instead Requires the Fedora php-Kohana RPM and links to it's contents.

SPEC: http://zanoni.jcomserv.net/fedora/gallery3/gallery3.spec
SRPM: http://zanoni.jcomserv.net/fedora/gallery3/gallery3-3.0.2-1.fc15.src.rpm

Comment 4 Matthias Runge 2011-09-28 18:55:36 UTC
I thought of a bit other solution, to expand the php-include path to use Kohana via include.

<scratch>
php.ini/gallery.ini (in /etc/php.d/)
set_include_path(get_include_path() . PATH_SEPARATOR . $path_to_add);
</scratch>
Currently, I don't have an appropriate scriptlet available.

Another option for php is also needed e.g gallery3.conf may be changed:
Alias /gallery3 /usr/share/gallery3

<Directory /usr/share/gallery3>
  AllowOverride Options FileInfo
  php_value short_open_tag on;   <---------
</Directory>

Without this option, gallery3 won't work.

Comment 5 Gwyn Ciesla 2011-09-30 13:46:31 UTC
I think I'll stick with symlinks, to be constistent with other PHP apps that bundle.

short_open_tag added, good catch.

SPEC: http://zanoni.jcomserv.net/fedora/gallery3/gallery3.spec
SRPM: http://zanoni.jcomserv.net/fedora/gallery3/gallery3-3.0.2-2.fc15.src.rpm

Comment 6 Matthias Runge 2011-10-04 19:11:51 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines.
[x]  Spec file name must match the base package %{name}, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines.
[x]  Package successfully compiles and builds into binary rpms on at least one supported architecture.
Tested on: noarch
[ ]  Rpmlint output:
[mrunge@sofja SPECS]$ rpmlint /home/mrunge/rpmbuild/SRPMS/gallery3-3.0.2-2.fc16.src.rpm /home/mrunge/rpmbuild/RPMS/noarch/gallery3-3.0.2-2.fc16.noarch.rpm
gallery3.src: W: spelling-error Summary(en_US) Customizable -> Customization
gallery3.noarch: W: spelling-error Summary(en_US) Customizable -> Customization
gallery3.noarch: W: dangling-symlink /usr/share/gallery3/system/core/Kohana_Exception.php /usr/share/php/Kohana/system/core/Kohana_Exception.php
gallery3.noarch: W: dangling-symlink /usr/share/gallery3/system/core/Kohana.php /usr/share/php/Kohana/system/core/Kohana.php
gallery3.noarch: E: htaccess-file /usr/share/gallery3/.htaccess
gallery3.noarch: W: dangling-symlink /usr/share/gallery3/system/libraries/Kohana_404_Exception.php /usr/share/php/Kohana/system/libraries/Kohana_404_Exception.php
gallery3.noarch: W: dangling-symlink /usr/share/gallery3/system/core/Kohana_Config.php /usr/share/php/Kohana/system/core/Kohana_Config.php
gallery3.noarch: W: dangling-symlink /usr/share/gallery3/system/libraries/Kohana_PHP_Exception.php /usr/share/php/Kohana/system/libraries/Kohana_PHP_Exception.php
gallery3.noarch: W: dangling-symlink /usr/share/gallery3/system/libraries/Kohana_User_Exception.php /usr/share/php/Kohana/system/libraries/Kohana_User_Exception.php
gallery3.noarch: W: dangling-symlink /usr/share/gallery3/system/libraries/Kohana_Log.php /usr/share/php/Kohana/system/libraries/Kohana_Log.php
2 packages and 0 specfiles checked; 1 errors, 9 warnings.

[x]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x]  License field in the package spec file matches the actual license.
License type: GPLv2+
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  Spec file is legible and written in American English.
[ ]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 958b9bf352acace3e4eadb4721e8bd35  rpmbuild/SOURCES/gallery-3.0.2.zip
MD5SUM upstream package: 958b9bf352acace3e4eadb4721e8bd35  gallery-3.0.2.zip
[x]  Package is not known to require ExcludeArch
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[-]  The spec file handles locales properly.
[-]  ldconfig called in %post and %postun if required.
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[-]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[x]  Header files in -devel subpackage, if present.
[x]  Static libraries in -devel subpackage, if present.
[x]  Package requires pkgconfig, if .pc files are present.
[x]  Development .so files in -devel subpackage, if present.
[x]  Fully versioned dependency in subpackages, if present.
[x]  Package does not contain any libtool archives (.la).
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
[x]  Latest version is packaged.
[x]  Package does not include license text files separate from upstream.
[-]  Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x]  Package should compile and build into binary rpms on all supported architectures.
Tested on: noarch
[x]  Scriptlets must be sane, if used.
[x]  The placement of pkgconfig(.pc) files are correct.
[x]  File based requires are sane.


=== Issues ===
1. please fix that htaccess-error, as stated in comment 3
gallery3.noarch: E: htaccess-file /usr/share/gallery3/.htaccess


================
*** APPROVED ***
================

Comment 7 Gwyn Ciesla 2011-10-04 19:21:34 UTC
Thanks for the review!  That error is tripping over the symlink to the file in /etc/.

New Package SCM Request
=======================
Package Name: gallery3
Short Description: Customizable photo gallery web site
Owners: limb
Branches: f16 f15 el6
InitialCC:

Comment 8 Gwyn Ciesla 2011-10-04 19:23:46 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2011-10-04 19:52:24 UTC
gallery3-3.0.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gallery3-3.0.2-2.fc15

Comment 10 Fedora Update System 2011-10-04 19:52:31 UTC
gallery3-3.0.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gallery3-3.0.2-2.el6

Comment 11 Fedora Update System 2011-10-04 19:52:39 UTC
gallery3-3.0.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gallery3-3.0.2-2.fc16

Comment 12 Fedora Update System 2011-10-05 03:56:18 UTC
gallery3-3.0.2-2.fc15 has been pushed to the Fedora 15 testing repository.

Comment 13 Gwyn Ciesla 2011-10-05 16:20:47 UTC
Update:  I pulled the Bodhi updates, as I can't actually get this to work.  I'm making tweaks as I go, and will push new builds one I have something that works.

Comment 14 Bill McGonigle 2012-03-19 23:39:28 UTC
Thanks for packaging gallery3, Jon!

I get 'connection refused' trying to download the SRPM so I grabbed the config from git and the source from sourceforge and built an RPM on EL6.  I encountered this error with the installer:

"Photo Storage

We're having trouble creating a place for your photos. Can you help? We need you to create a directory called var in your gallery3 directory. This sample code works for most users. Run it in the gallery3 directory: mkdir var
chmod 777 var Check again"

Which I solved with:

# mkdir /var/lib/gallery3
# chown apache:apache /var/lib/gallery3
# chmod 770 /var/lib/gallery3/
# ln -s /var/lib/gallery3/ /usr/share/gallery3/var

Also noted:

/etc/gallery3 is empty
  What should exist here, symlinks in from /usr/share/gallery3?  Is this a holdover from g2?  It looks like g3 is keeping everything in 'var'?

/etc/httpd/conf.d/gallery3-site.htaccess 
  This is unusually packaged - I wouldn't expect it in conf.d.  I see a /usr/share/gallery3/.htaccess that has the same line in it but also a php.ini file that says its options are mirrored in .htaccess (but aren't).

README.fedora is for G2 and contains information that is wrong for G3.

I had to switch my graphics backend to Imagemagick to get g2 import to work.  This looks like a known problem with G3 generally.  I'm not sure it rises to a level of a dependency, but perhaps.  It might be a low-memory situation to gd, I'm not sure.

Those taken care of, it looks like I've got a working g3 now.  What other problems (per comment #13) are holding up the package at this point?

Comment 15 Gwyn Ciesla 2012-03-20 19:44:33 UTC
I'm not sure.  When I get a chance, I'll try a test install incorporating your fixes.  I sort or ran out of steam on this when I discontinued my personal gallery2 install, which I'd hoped to migrate to gallery3.  If I can get this all squared away, I'll push an updated build.  Thanks for working on this.

Comment 16 Gwyn Ciesla 2012-03-21 13:12:22 UTC
I incorporated your directory changes, and I get a lot farther.  It selected ImageMagick as the default for me since I didn't have gd installed.  But I can't upload.  I even set permissions on the Gallery to allow this.  Did you do anything additional to allow it?

Comment 17 Gwyn Ciesla 2012-04-24 14:02:25 UTC
Ping?

Comment 18 Gwyn Ciesla 2012-09-12 13:57:18 UTC
Closing.


Note You need to log in before you can comment on or make changes to this bug.